Intereting Posts
Почему CursorLoader onLoaderReset () вызывается после вращения устройства? Невозможно ссылаться на тему темы Holo из value-v11 / themes.xml Попытка вызвать метод интерфейса для ссылки на нулевой объект finishComposingText () Вводить CSS на сайт с webview в android Приложение phonegap с интеграцией смарт-карт Настройка приоритета WiFi на Android Lollipop или позже через интерфейс настроек Добавьте верхний / нижний колонтитул в список в xml Как программно открыть экран разрешения для определенного приложения на Android Marshmallow? Как добавить изображение в тело электронной почты Эффект Parallax для каждого элемента в режиме ресайклера? Как измерить и улучшить использование батареи в iPhone / iPad (Android также) Английский код языка США изменился? Google Speech Api v2 не возвращает правильный результат Продолжительность жизни объектов в Java vs. .Net Изменить текст кнопки DatePickerDialog ButterKnife: Null взгляды после отдыха Фрагментов на ViewPager

Android Studio: повторная загрузка и синхронизация проекта

Я загрузил исходный код с открытым исходным кодом « ChaseWhisplyProject » из Github.

Я импортировал проект в свою Android-студию (версия 1.5.1).

Он показывает следующее сообщение об ошибке:

Ошибка: не удалось открыть zip-файл.
Кэш зависимостей Gradle может быть поврежден (это иногда происходит после таймаута сетевого соединения).
Заново загружать зависимости и проект синхронизации (требуется сеть)
Заново загружать зависимости и проект синхронизации (требуется сеть)

Я изменил все версии зависимостей до последнего, но все равно показывает одно и то же сообщение.

Он имеет два модуля в рамках основного проекта: 1) BaseGameUtils & 2) ChaseWhisply. Вышеупомянутые модули не выделены жирным шрифтом (я думаю, что это должно быть выделено жирным шрифтом, например, «приложение»).

Ниже приведены файлы градиентов.

1) Корневая люлька:

// Top-level build file where you can add configuration options common to all sub-projects/modules. allprojects { repositories { jcenter() } } 

2) Грейд модуля BaseGameUtils

 apply plugin: 'com.android.library' android { compileSdkVersion 23 buildToolsVersion "23.0.1" } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.5.0' } } dependencies { compile 'com.android.support:support-v4:23.1.1' compile 'com.google.android.gms:play-services:8.4.0' } 

3) Gradle модуля ChaseWhisply:

 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.5.0' } } apply plugin: 'com.android.application' dependencies { compile 'com.android.support:gridlayout-v7:23.1.1' compile 'com.android.support:support-v4:23.1.1' compile 'com.android.support:cardview-v7:23.1.1' compile 'com.nineoldandroids:library:2.4.0' compile project(':BaseGameUtils') } android { compileSdkVersion 23 buildToolsVersion "23.0.1" lintOptions { // TODO fix and remove ! disable 'MissingTranslation', 'DuplicateIds', 'ExtraTranslation' } defaultConfig { minSdkVersion 14 targetSdkVersion 23 versionCode 22 versionName "0.3.6" } } 

4) Настройки.gradle

 include ':ChaseWhisply', ':BaseGameUtils' 

Что здесь не так? Пожалуйста помоги.

Solutions Collecting From Web of "Android Studio: повторная загрузка и синхронизация проекта"

При импорте проекта libGDX я получил то же сообщение от Android Studio 2.2.

Пошел в File-> Project Structure, затем выбрал Project и установил

Грейд версия

а также

Версия Android Plugin

К значениям, идентичным другому проекту, который я недавно создал с Android Studio 2.2 и обновленным SDK. Затем можно было бы синхронизировать град. Построил ли Build-> Build Clean без проблем. Затем выполнили Run-> Clean и Rerun, и проект прошел нормально.

Надеюсь это поможет.

Это в основном означает, что файл zip-файла градации в папке с кешем поврежден, если вы не хотите изменять версию, например, ответ на up-voted тогда вы должны удалить папку для своей версии gradle, которую вы используете для этого проекта, из Ниже пути.

Затем просто повторите попытку синхронизации, и android studio снова загрузит его

 C:\Users\ [user here] \.gradle\wrapper\dists 

Ex: если вы используете 3.3 для этого проекта, вы должны удалить папку

 C:\Users\[user here]\.gradle\wrapper\dists\gradle-3.3-all 

Может быть несовместимо с версией Gradle и maven. Удалите проект dir / gradle / wrapper, установите правильную версию gradle в нее снова запустите

Чистый проект – это путь. После очистки проекта убедитесь, что вы его перестроили. Обычно это решает проблемы с градиентом для меня.

В моем случае я запускал IntelliJ IDEA как пользователь без root.

Если вы хотите использовать новые функции, вам не следует возвращать его в старую версию, просто удалите каталог ~ / .gradle рекурсивно, а затем перезапустите Android Studio.

Я сталкиваюсь с той же проблемой, и я ее ищу и нашел лучшее решение, и я работаю для меня:

  1. Вручную скачайте Gradle 3.3 binary (прямая ссылка: https://services.gradle.org/distributions/gradle-3.3-bin.zip )

  2. Откройте свой корневой каталог студии android и извлеките почтовый индекс в папку gradle (например: программные файлы / android-studio / gradle / gradle-3.3)

  3. Откройте Android Studio, перейдите в раздел «Файл-> Настройки-> (« Сборка »,« Развертывание »,« Развертывание »)>« Колебание »и установите« Gradle home », чтобы указать новую папку gradle-3.3.

  4. Применить и синхронизировать.